// 选择框架和语言
const frame = [
	{
		type: 'list',
		message: '选择什么框架去新建项目❓',
		name: 'type',
		choices: [
			{ name: '创建react项目', value: 'react' },
			{ name: '创建vue项目', value: 'vue' },
			{ name: '创建大屏项目', value: 'large' },
			{ name: '创建管理后台', value: 'admin' },
			{ name: '创建Java项目', value: 'java' },
		],
	},
];

// react框架
const react = [
	{
		type: 'list',
		message: '📢react部分默认包含redux/toolkit;🚶选择路由创建位置',
		name: 'router',
		choices: [
			{ name: '使用RouterProvider', value: 'RouterProvider' },
			{ name: '使用userouter', value: 'userouter' },
			{ name: '使用userouter和zustand', value: 'zustand' },
		],
	},
];

// vue
const vue = [
	{
		type: 'list',
		message: '🚶选择vue仓库',
		name: 'router',
		choices: [
			{ name: 'Vue-pina模板', value: 'vue' },
			{ name: 'Vue-pina模板', value: 'vite' },
		],
	},
];

// large
const large = [
	{
		type: 'list',
		message: '📺选择大屏模板',
		name: 'large',
		choices: [
			{ name: '大屏vue+pina仓库rem', value: 'vue_large_rem' },
			{ name: '大屏vue+pina仓库scale', value: 'vue_large_scale' },
			{ name: '大屏vue+pina仓库vwvh', value: 'vue_ts_large_vmvh' },
			{ name: '大屏vue+pina仓库rem+vwvh', value: 'vue_ts_large_remvmvh' },
		],
	},
];

// admin
const admin = [
	{
		type: 'list',
		message: '🏸选择管理后台模板，自动生成路由',
		name: 'admin',
		choices: [
			{ name: '后台自动路由vue+pinia+antdesgin', value: 'bunny_admin' },
			{ name: '后台自动路由vue+pinia+elementPlus', value: 'bunny_admin_element' },
			{ name: '后台自动路由vue+pinia+elementPlus精简版', value: 'bunny_admin_element_thin' },
		],
	},
];

// java
const java = [
	{
		type: 'list',
		message: '☕选择Java模板',
		name: 'java',
		choices: [
			{ name: 'Java单体开发模板', value: 'java_single' },
			{ name: 'Jav微服务开发模板', value: 'java_mirror_server' },
		],
	},
];

// 项目地址链接
module.exports = {
	// 项目列表
	projectList: {
		// ? vue模板
		'vue&vue': 'https://gitee.com/BunnyBoss/vue_ts_auto.git',
		'vue&vite': 'https://gitee.com/BunnyBoss/vite_ts_auto.git',
		// ? 大屏模板
		'large&vue_large_rem': 'https://gitee.com/BunnyBoss/vue_ts_large_rem.git',
		'large&vue_large_scale': 'https://gitee.com/BunnyBoss/vue_ts_large_scale.git',
		'large&vue_ts_large_vmvh': 'https://gitee.com/BunnyBoss/vue_ts_large_vmvh.git',
		'large&vue_ts_large_remvmvh': 'https://gitee.com/BunnyBoss/vue_ts_large_remvmvh.git',
		// ? react 版本
		'react&userouter': 'https://gitee.com/BunnyBoss/react_ts_userouter.git',
		'react&RouterProvider': 'https://gitee.com/BunnyBoss/react_ts_routerprovider.git',
		'react&zustand': 'https://gitee.com/BunnyBoss/react_ts_zustand.git',
		// ? 后台管理
		'admin&bunny_admin': 'https://gitee.com/BunnyBoss/bunny-admin.git',
		'admin&bunny_admin_element': 'https://gitee.com/BunnyBoss/bunny-admin-element.git',
		'admin&bunny_admin_element_thin': 'https://gitee.com/BunnyBoss/bunny-admin-element-thin',
		// ? Java模版
		'java&java_single': 'https://gitee.com/BunnyBoss/java_single.git',
		'java&java_mirror_server': 'https://gitee.com/BunnyBoss/java-mirror-server.git',
	},
	// 问题
	question: { frame, react, vue, large, admin, java },
};
